Subject: Re: SOMAXCONN too low

From: Andi Kleen <[email-masked]>
Date: Wed, 29 Oct 2003 13:33:15 +0100

On Tue, 28 Oct 2003 22:58:00 -0800
David Mosberger <[email-masked]> wrote:

> Also, it appears that current SuSE kernels do indeed have a
> net.core.somaxconn sysctl to let a sysadmin choose a larger SOMAXCONN
> value.

Yes I did that patch some time ago for some server who needed it. If there is interest 
I can submit it  for 2.6. But I'm not sure it fits the "important bug fixes only" rule.

Another alternative would be to make it a fraction of the listen() argument per socket
(e.g. min(tcp_max_syn_backlog,min(128,10%*listenarg))) to allow the application 
to easily change it.

-Andi